digiKam Developer Documentation: Digikam::DMultiTabBarTab Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | Friends | List of all members
Digikam::DMultiTabBarTab Class Reference
Inheritance diagram for Digikam::DMultiTabBarTab:

## Public Slots
void | setIcon (const QIcon &)
void | setIcon (const QString &)
void | setPosition (Qt::Edge)
| this is used internally, but can be used by the user.
void | setState (bool state)
| set the active state of the tab
void | setStyle (DMultiTabBar::TextStyle)
| this is used internally, but can be used by the user.
Public Slots inherited from Digikam::DMultiTabBarButton
void | setText (const QString &text)

## Public Member Functions
QSize | minimumSizeHint () const override
QSize | sizeHint () const override
Public Member Functions inherited from Digikam::DMultiTabBarButton
int | id () const

## Protected Member Functions
| DMultiTabBarTab (const QIcon &pic, const QString &, int id, QWidget *const parent, Qt::Edge pos, DMultiTabBar::TextStyle style)
| This class should never be created except with the appendTab call of DMultiTabBar.
void | computeMargins (int *hMargin, int *vMargin) const
QSize | computeSizeHint (bool withText) const
QPixmap | iconPixmap () const
void | initButtonStyleOption (QStyleOptionToolButton *opt) const
bool | isVertical () const
void | paintEvent (QPaintEvent *) override
bool | shouldDrawText () const
Protected Member Functions inherited from Digikam::DMultiTabBarButton
| DMultiTabBarButton (const QIcon &pic, const QString &, int id, QWidget *const parent)
void | hideEvent (QHideEvent *) override
void | paintEvent (QPaintEvent *) override
void | showEvent (QShowEvent *) override

## Friends
class | DMultiTabBarFrame

## Additional Inherited Members
Signals inherited from Digikam::DMultiTabBarButton
void | signalClicked (int id)
| this is emitted if the button is clicked
Protected Slots inherited from Digikam::DMultiTabBarButton
virtual void | slotClicked ()

## Member Function Documentation

## ◆ setPosition

void Digikam::DMultiTabBarTab::setPosition | ( | Qt::Edge | pos | ) |
| slot

It the according call of DMultiTabBar is invoked though this modifications will be overwritten

## ◆ setState

void Digikam::DMultiTabBarTab::setState | ( | bool | state | ) |
| slot

Parameters

  state | true==active false==not active

## ◆ setStyle

void Digikam::DMultiTabBarTab::setStyle | ( | DMultiTabBar::TextStyle | style | ) |
| slot

It the according call of DMultiTabBar is invoked though this modifications will be overwritten